View Issue Details

IDProjectCategoryView StatusLast Update
13279Bug reports[All Projects] Accessibilitypublic2018-02-06 12:03
Reporterdapster105Assigned Toc_schmitz 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13279: Reference to 'LimeSurvey' in user message breaks Template principle
Description

When a respondent uses the browser back or refresh they are prompted with a message (en):

"Please use the LimeSurvey navigation buttons or index. It appears you attempted to use the browser back button to re-submit a page."

"LimeSurvey" should not be referenced explicitly in respondent-facing messages as this breaks the principle of templating. In short, respondents may not have a clue what 'LimeSurvey' is.

Steps To Reproduce

F5 on any survey question

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.1.0+180124
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMSSQL
Server OS (if known)Win
Webserver software & version (if known)IIS
PHP Versionlatest

Activities

ollehar

ollehar

2018-02-01 10:14

administrator   ~46191

@c_schmitz, any comment?

c_schmitz

c_schmitz

2018-02-01 12:17

administrator   ~46192

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26299

Related Changesets

LimeSurvey: master e71c2a87

2018-02-01 12:16:32

c_schmitz

Details Diff
Fixed issue 13279: Reference to 'LimeSurvey' in user message breaks Template principle Affected Issues
13279
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-01 07:38 dapster105 New Issue
2018-02-01 10:14 ollehar Note Added: 46191
2018-02-01 12:16 c_schmitz Assigned To => c_schmitz
2018-02-01 12:16 c_schmitz Status new => assigned
2018-02-01 12:17 c_schmitz Changeset attached => LimeSurvey master e71c2a87
2018-02-01 12:17 c_schmitz Note Added: 46192
2018-02-01 12:17 c_schmitz Resolution open => fixed
2018-02-05 14:52 c_schmitz Status assigned => resolved
2018-02-05 14:52 c_schmitz Fixed in Version => 3.1.x
2018-02-06 12:03 ollehar Status resolved => closed
2018-02-06 12:03 ollehar Fixed in Version 3.1.x => 3.2.x